Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 212453 - x11-drivers/xf86-video-i810-2.2.1 - Xorg fatal server error: Error in I830WaitLpRing
Summary: x11-drivers/xf86-video-i810-2.2.1 - Xorg fatal server error: Error in I830Wai...
Status: RESOLVED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Rémi Cardona
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-06 00:52 UTC by Julian Stecklina
Modified: 2009-04-17 22:21 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Installed packages (installed-packages.txt,19.48 KB, text/plain)
2008-03-06 00:53 UTC, Julian Stecklina
Details
Kernel configuration (tuxonice-sources-2.6.24-r2) (kernel.config,58.04 KB, text/plain)
2008-03-06 00:54 UTC, Julian Stecklina
Details
output of lspci -v (lspci.txt,10.06 KB, text/plain)
2008-03-06 00:55 UTC, Julian Stecklina
Details
xorg.conf (xorg.conf,2.17 KB, text/plain)
2008-03-06 00:55 UTC, Julian Stecklina
Details
Log of a crashing X session (Xorg.0.log,38.13 KB, text/plain)
2008-03-06 00:56 UTC, Julian Stecklina
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Stecklina 2008-03-06 00:52:45 UTC
On my box X dies about once a week (black screen, but the machine is still alive and you can switch to another text console) during normal operation (Web browsing). This is on a ThinkPad X60s. 

I'll attach more information and am happy to provide whatever is needed.

Relevant software version:

CFLAGS="-O2 -march=prescott -pipe"
sys-kernel/tuxonice-sources-2.6.24-r2
x11-base/xorg-server-1.4.0.90-r3
x11-base/xorg-x11-7.3
x11-drivers/xf86-video-i810-2.2.1
x11-libs/libdrm-2.3.0

Last part of Xorg.0.log:

Error in I830WaitLpRing(), timeout for 2 seconds
pgetbl_ctl: 0x7ffc0001getbl_err: 0x0
ipeir: 0 iphdr: 2000011
LP ring tail: 12ba8 head: 11bac len: 1f001 start 0
eir: 0 esr: 0 emr: ffff
instdone: fa41 instpm: 0
memmode: 306 instps: 800f00c4
hwstam: fffe ier: 2 imr: 0 iir: 20
Ring at virtual 0xa7a50000 head 0x11bac tail 0x12ba8 count 1023
[...]
Ring end
space: 126972 wanted 131064
(II) intel(0): [drm] removed 1 reserved context for kernel
(II) intel(0): [drm] unmapping 8192 bytes of SAREA 0xf8d79000 at 0xb7b82000
(II) intel(0): [drm] Closed DRM master.

Fatal server error:
lockup
Comment 1 Julian Stecklina 2008-03-06 00:53:38 UTC
Created attachment 145397 [details]
Installed packages
Comment 2 Julian Stecklina 2008-03-06 00:54:36 UTC
Created attachment 145399 [details]
Kernel configuration (tuxonice-sources-2.6.24-r2)
Comment 3 Julian Stecklina 2008-03-06 00:55:03 UTC
Created attachment 145401 [details]
output of lspci -v
Comment 4 Julian Stecklina 2008-03-06 00:55:22 UTC
Created attachment 145403 [details]
xorg.conf
Comment 5 Julian Stecklina 2008-03-06 00:56:00 UTC
Created attachment 145405 [details]
Log of a crashing X session
Comment 6 Rémi Cardona gentoo-dev 2008-03-11 06:34:12 UTC
Julian,

Your bug report is pretty much perfect in the sense that there's nothing more I can ask from you but to open a bug in FreeDesktop's bugzilla with all the info you've provided here.

Intel engineers have created this document when writing bug reports : http://intellinuxgraphics.org/how_to_report_bug.html 

If you do open a bug there, please add me CC there so I can keep track of it (for potential patches and whatnot).

Thanks
Comment 7 Andri Möll 2008-03-24 21:37:10 UTC
I've been harassed by this issue as well (also Thinkpad X60).
Let me know too, how the upstream bug report goes.
Comment 8 Rémi Cardona gentoo-dev 2008-03-24 21:51:10 UTC
Andri, nobody has reported this bug upstream. Feel free to open it like I said in comment #6.

Thanks
Comment 9 Andri Möll 2008-03-26 22:06:28 UTC
Just out of curiosity---do you also run the tp_smapi module?
I've stopped using that, and have not had any X "crashes" when resuming from hibernate-ram since. I'll monitor the issue for a week or so, perhaps it's just a coincidence---I've never checked what tp_smapi's code exactly does.
Comment 10 Andri Möll 2008-03-26 23:09:20 UTC
On a second thought, the other possible culprit might be the EnableVbetool setting in /etc/hibernate/*.conf files. Julian doesn't specify whether his X dies while running or while resuming---but his tuxonice kernel makes me think it might be while resuming from hibernate.
Comment 11 Rémi Cardona gentoo-dev 2008-04-18 11:55:27 UTC
Julian? Ping? If you want this issue to be fixed, you'll have to open a bug in FreeDesktop's bugzilla as only they have the necessary knowledge to fix this.

I strongly advise you to take the time to do it :)

Thanks
Comment 12 Luca Barbato gentoo-dev 2008-05-03 23:08:46 UTC
Somehow reproducible using the .3 as well (I don't own such card so I'll push the owner to get an upstream bug done tomorrow)
Comment 13 Rémi Cardona gentoo-dev 2008-05-23 08:26:51 UTC
Ping, *anyone* ?

Bugs won't get fixed if upstream doesn't know about them.

Thanks
Comment 14 Andri Möll 2008-05-23 09:12:32 UTC
Since switching to xorg-server-1.4.0.90 and always unloading 'hdaps thinkpad_ec' before suspending, my machine hasn't crashed.
Unfortunately, Julian hasn't responded to any questions, so I'm thinking this bug should soon be closed due to inactivity.
Comment 15 Rémi Cardona gentoo-dev 2008-05-23 11:02:30 UTC
Alright.

Julian, please try with the latest intel driver and don't hesitate to reopen this bug (along with a bug on freedesktop's bugzilla) if the issue is still there.

Thanks
Comment 16 Devin Heckman 2008-07-24 07:11:39 UTC
It's sad, because I'm experiencing this issue myself now (also x60s). I may have to check upstream soon if not loading tp_smapi fixes the problem (I was loading it prior to reading these comments).

I'll keep everyone here posted...
Comment 17 Devin Heckman 2008-07-24 07:13:12 UTC
Erm, if not loading tp_smapi *doesn't* fix the problem. Sorry. ;]
Comment 18 Rémi Cardona gentoo-dev 2008-07-24 08:34:59 UTC
Then please open a bug on freedesktop's bugzilla. It's the _only_ thing that will get this bug fixed.

Thanks
Comment 19 Removed. Please mangle addresses.. 2009-04-17 22:20:37 UTC
I encountered this error as well.
My laptop, X60s with i945, recently started to exhibit this behaviour, regularly on window swaps or workspace switches in Gnome, and especially in Firefox (at least 4-5 times per day during regular work).

Since Devin did not report back on the tp_smapi issue Andri hinted at, I hereby announce that this was apparently indeed the problem for me!

I had quite recently put those modules in the autoload since I was playing a bit with reading the HDAPS sensors with the tp_smapi version of hdaps.

I removed all related modules (tp_smapi, thinkpad_ec, hdaps) from the /etc/conf.d/modules autoload line and have not had a single "i830 crash" with those modules not loaded (stable like it was till around the New Year's.. I just could not pinpoint retrospectively what changes I had made to the system - THANKS :-D )